@rem                    TuFuse "Send To" Batch File
@rem
@rem  Installation: This batch file is designed to be placed in the 
@rem  "sendto" folder.  On Windows XP, this folder is located here:
@rem
@rem     C:\Documents and Settings\username\SendTo
@rem
@rem  On Windows Vista, the sendto folder is here:
@rem
@rem     C:\Users\username\AppData\Roaming\Microsoft\Windows
@rem 
@rem  where "username" depends upon your system configuration.
@rem  Copy this file into the sendto folder.  If installed correctly, 
@rem  a new item ("tufuse.bat") should appear in the "sendto" context
@rem  menu that is invoked by right-clicking on one or more files in 
@rem  Windows Explorer.
@rem
@rem
@rem  Usage: Select one or more files in Windows Explorer, Right-click, 
@rem  select "Send To", and then select "tufuse.bat".  TuFuse should be 
@rem  invoked, and output written in the same directory as the first 
@rem  selected input file.
@rem
@rem  Disclaimer: Lightly tested...results may vary!  Feel free to modify
@rem  as needed.


@echo off
setlocal

@rem iterate over all input files, and assemble a command line with which
@rem we can invoke TuFuse
:start

@rem Determine the drive and path of the first input file, and record it so 
@rem we can use it as the directory from which we lauch Tufuse.  By default, 
@rem TuFuse will write its output in the directory from which it is launched.
@rem We want the output to be in the same directory as this input image.
set :FIRST:=:: goto getFile
set FIRST=%1
FOR /F "usebackq delims=" %%i in ('%FIRST%') do set OUTDIR=%%~dpi
:getFile

set FILELIST=%FILELIST% %1
shift

@rem if no more input files, then launch TuFuse
if :%1:==:: goto launch
goto :start

:launch

@rem Change to the output directory
cd /d "%OUTDIR%"

@echo Output Directory: %OUTDIR%
@echo.
@echo Processing: %FILELIST%
@echo.

@rem lauch TuFuse with all of the input files...output filename will
@rem be generated automatically by TuFuse
tufuse %FILELIST%


@rem The following line could be used to create an "autobracketed" output
@rem tufuse -b 1 %FILELIST%

@rem uncomment the next "pause" line to see output from this batch file
@rem pause